.hidden {
    display: none !important;
}

.ghn-blue-button {
    font-size: 16px;
    background: #2c2e83;
    font-weight: 400;
    color: #fff !important;
    padding: 10px 15px;
    border: none !important;
    border-radius: 2px;
    cursor: pointer;
}

.ghn-blue-button:hover {
    background: #16143e;
    transition: 0.2s ease-in-out;
}

/* menu fix */
.elementor-element-2846b79 {
    display: inline-block;
    width: auto !important;
}

.elementor-element-02354a5 {
    display: inline-block;
    width: auto !important;
    margin-top: 4px;
}

.sub-menu {
    min-width: 230px !important;
}

.sub-menu li:hover {
    border-left: 4px solid #e6aa00;
    transition: 0.2s ease-in-out;
}

.sub-menu li:hover>a {
    margin-left: 5px;
    transition: 0.2s ease-in-out;
}

/* Login page  */
#ghn-loginform label {
    color: #fff;
    font-size: 16px;
}

#ghn-loginform a {
    font-size: 16px;
}

#ghn-loginform #wp-submit {
    background: #fff;
    border: 2px solid #fff !important;
    color: #16143e;
    font-size: 16px;
}

#ghn-loginform #wp-submit:hover {
    background: #16143e;
    border: 2px solid #fff !important;
    color: #fff;
}

/* Application page */
.ghn-flex {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
}

.half-width {
    width: 48%;
}

.full-width {
    width: 100%;
}

.form-group {
    border-left: 4px solid #e6aa00;
    padding-left: 30px;
    margin-bottom: 30px;
}

.form-group-button {
    margin-top: 60px;
    text-align: center;
    width: 100%;
}

.ghn-form label {
    font-size: 16px;
}

.ghn-form button {
    font-size: 16px;
    background: #2c2e83;
    font-weight: 400;
    border: none !important;
}

.ghn-form button:hover {
    background: #16143e;
    transition: 0.2s ease-in-out;
}

.ghn-form button:disabled {
    opacity: 0.3;
    cursor: not-allowed;
}

.error-email {
    font-size: 15px;
    color: red;
}

/* Popup */
.popup-wrapper {
    background-color: rgba(0, 0, 0, 0.48);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 100vh;
}

.popup {
    width: 94%;
    max-width: 600px;
    background: #fff;
    padding: 30px;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translateX(-50%) translateY(-50%);
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    margin-left: 15px;
    margin-right: 15px;
}

.popup h2 {
    font-size: 28px !important;
    text-align: center;
}

.popup p {
    font-size: 16px;
    text-align: center;
}

.popup .button {
    margin-top: 15px;
    display: inline-block;
}

.popup .center {
    width: 100%;
    text-align: center;
}

/* Single product page */
.ghn-additional-infotmation td:first-child {
    font-weight: bold
}

/* my account */
.woocommerce-MyAccount-navigation-link a {
    background: #fff !important;
    color: #16143e !important;
}

.woocommerce-MyAccount-navigation-link a:hover {
    color: #fff !important;
    background: #16143e !important;
    transition: 0.2s ease-in-out;
}

.woocommerce-MyAccount-navigation ul li.is-active a {
    color: #fff !important;
    background: #16143e !important;
}

.woocommerce-MyAccount-navigation {
    border: 1px solid #16143e;
}

.woocommerce-MyAccount-content-wrapper a {
    color: #e6aa00 !important;
    font-weight: 600;
}

.woocommerce-MyAccount-content-wrapper a:hover {
    text-decoration: underline;
    transition: 0.2s ease-in-out;
}

.woocommerce-info {
    border-top-color: #16143e !important;
}

.woocommerce-info .woocommerce-Button {
    color: #fff !important;
    background: #16143e !important;
}

.woocommerce-info .woocommerce-Button:hover {
    color: #fff !important;
    background: #000 !important;
    transition: 0.2s ease-in-out;
}

.woocommerce-info::before {
    color: #16143e !important;
}

.woocommerce-EditAccountForm .woocommerce-Button {
    color: #fff !important;
    background: #16143e !important;
}

.woocommerce-EditAccountForm .woocommerce-Button:hover {
    color: #fff !important;
    background: #000 !important;
    transition: 0.2s ease-in-out;
}

.woocommerce-Address-title .edit {
    color: #fff !important;
    background: #16143e !important;
    padding: 5px 15px;
}

.woocommerce-Address-title .edit:hover {
    color: #fff !important;
    background: #000 !important;
    transition: 0.2s ease-in-out;
}

.woocommerce-MyAccount-content .button {
    color: #fff !important;
    background: #16143e !important;
}

.woocommerce-MyAccount-content .button:hover {
    color: #fff !important;
    background: #000 !important;
    transition: 0.2s ease-in-out;
}

.woocommerce-MyAccount-content #billing_country_field {
    display: none!important;
}
/* mini cart */
.elementor-menu-cart__product-image {
    display: none !important;
}

.elementor-menu-cart__product-name {
    grid-column-start: 1 !important;
}

.elementor-menu-cart__product-price {
    grid-column-start: 1 !important;
}

/* Remove address inputs in checkout */
.page-id-12 #customer_details .col-1 {
    display: none !important;
}
.order-reference {
    margin-bottom: 30px!important;
}
.order-reference label {
    font-weight: bold!important;
    font-size: 18px!important;
}
/* Cart */
.page-id-11 .product-thumbnail {
    display: none !important;
}

/* products list */
.ghn-product-table-list thead {
    color: #fff !important;
    background: #16143e !important;
    font-size: 14px;
    position: sticky;
    top: 120px;
    text-align: left!important;
}

.ghn-product-table-list thead th {
    vertical-align: middle;
    padding: 5px;
    font-size: 12px;
}

.ghn-product-table-list tbody td {
    vertical-align: middle !important;
    font-size: 12px!important;
    padding: 5px;
}
.ghn-product-table-list tbody a {
    font-size: 12px!important;
}

.ghn-product-table-list tbody {
    font-size: 14px;
}

.ghn-product-table-list input {
    font-size: 14px;
}

.ghn-product-table-list tbody a {
    font-size: 14px;
}

.sku-g {
    width: 10%;
}
.attr-g {
    width: 10%;
}
.link-g {
    width: 35% ;
}
.vehicle-g {
    width: 10%;
}
.concentration-g {
    width: 10%;
}
.price-g {
    width: 10%;
}
.quant-g {
    width: 15%;
}

.ghn-product-table-list #add-all-to-cart {
    background: #fff !important;
    padding: 5px 15px;
    color: #16143e !important;
    cursor: pointer;
    margin: 0;
}

.ghn-product-table-list #add-all-to-cart:hover {
    background: #e6aa00 !important;
    transition: 0.2s ease-in-out;
    color: #fff !important;
}

.ghn-product-table-list .quantity-text {
    font-weight: 600;
    font-size: 12px;
    margin-bottom: 0;
}

.ghn-product-table-list .not-available-text {
    font-weight: 600;
    font-size: 12px;
    color: #930000 !important;
}

/* checkout */
#custom-message-in-cart {
    padding: 15px;
    margin: 30px 0;
    width: 100%;
    background: #ffbebe;
    border: #ffa6a6;
    text-align: center;
}
#custom-message-in-cart p {
    color: #000;
    padding: 0;
    margin: 0;
}

/* loader */
#ghn-preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    min-height: 100vh;
    background-color: rgba(255, 255, 255, 0.58);
    z-index: 10;
}

#ghn-loader {
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 120px;
    height: 120px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #e6aa00;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

#added-to-cart-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#ghn-loader:before {
    content: "";
    position: absolute;
    top: 5px;
    left: 5px;
    right: 5px;
    bottom: 5px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #2c2e83;
    -webkit-animation: spin 3s linear infinite;
    animation: spin 3s linear infinite;
}

#ghn-loader:after {
    content: "";
    position: absolute;
    top: 15px;
    left: 15px;
    right: 15px;
    bottom: 15px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #006830;
    -webkit-animation: spin 1.5s linear infinite;
    animation: spin 1.5s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

#no-added-to-cart-text {
    position: absolute;
    top: 50%;
    left: 50%;
    max-width: 600px;
    text-align: center;
    transform: translate(-50%, -50%);
}

/* Alphabet list */
.ghn-alphabet-list {
    display: block;
    padding-left: 7px;
}

.ghn-alphabet-list p {
    display: inline-block;
    font-size: 13px;
    font-weight: 600;
    cursor: pointer;
    text-align: center;
    padding-top: 7px;
    min-width: 35px;
    height: 35px;
    margin-left: -7px;
}

.ghn-alphabet-list p:hover {
    background: #16143e !important;
    color: #fff !important;
}

.ghn-alphabet-list .active-letter {
    background: #16143e !important;
    color: #fff !important;
}

.ghn-attribute-list {
    border: 1px solid #ccc;
    padding: 15px;
}

.filter-group {
    margin-bottom: 30px;
}

.filter-group h3 {
    font-weight: 600;
    font-size: 22px;
}

.series-filter {
    cursor: pointer;
    font-size: 14px;
    margin-bottom: 0;
    padding: 5px;
}

.series-filter-active {
    background: #16143e !important;
    color: #fff !important;
}

.group-filter {
    cursor: pointer;
    font-size: 14px;
    margin-bottom: 0;
    padding: 5px;
}

.group-filter-active {
    background: #16143e !important;
    color: #fff !important;
}

.cat-filter {
    cursor: pointer;
    font-size: 14px;
    margin-bottom: 0;
    padding: 5px;
}

.cat-filter-active {
    background: #16143e !important;
    color: #fff !important;
}

.no-result {
    text-align: center;
    font-weight: 600;
    font-size: 22px;
    margin-top: 30px;
}

.ghn-search {
    border: 1px solid #ccc;
    position: relative;
    margin-bottom: 20px;
    height: 42px;
}

#ghn-search {
    border: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 90%;
    z-index: 2;
    background: transparent;
    outline: none !important;
}

#ghn-search-button {
    position: absolute;
    right: 0px;
    width: 40px;
    height: 40px;
    top: 0px;
    z-index: 2;
    background: #e6aa00;
    color: #fff;
    text-align: center;
    padding-top: 10px;
    cursor: pointer;
}

#ghn-search-button:hover {
    transition: 0.2s ease-in-out;
    background: #cd9800;
}

.clear-filter {
    padding: 10px 20px;
    font-size: 14px;
    background: #e6aa00;
    color: #fff;
    cursor: pointer;
    display: inline-block;
}

.clear-filter:hover {
    transition: 0.2s ease-in-out;
    background: #cd9800;
}

.go-back-button {
    color: #e6aa00;
    cursor: pointer;
}

.go-back-button i {
    color: #e6aa00;
}

.go-back-button {
    transition: 0.2s ease-in-out;
    color: #cd9800;
}

/* created popups */
/* popup render */
.popup-wrapper-ghn {
    background-color: rgba(0, 0, 0, 0.3);
    position: fixed;
    top: 0;
    left: 0;
    min-height: 100vh;
    width: 100%;
    padding: 15px;
    z-index: 99;
}
.popup-wrapper-ghn .inner-popup-ghn {
    background: #fff;
    padding: 30px;
    max-width: 500px;
    width: 100%;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    text-align: center;
    font-family: "PT Sans", Sans-serif;
    font-size: 16px;
    color: var(--e-global-color-text);
    width: 100%;
    max-height: 85vh;
    overflow: auto;

}
.popup-wrapper-ghn .popup-head {
    text-align: right!important;
}
.popup-wrapper-ghn .popup-head i{
    cursor: pointer;
    color: var(--e-global-color-text);
    font-size: 24px;
}
.inner-popup-ghn h1 {
    color: var(--e-global-color-15247c5);
    font-size: 28px;
}
.inner-popup-ghn h2 {
    color: var(--e-global-color-15247c5);
    font-size: 28px;
}
.inner-popup-ghn h3 {
    color: var(--e-global-color-15247c5);
}
.inner-popup-ghn h4 {
    color: var(--e-global-color-15247c5);
}
.inner-popup-ghn h5 {
    color: var(--e-global-color-15247c5);
}
.inner-popup-ghn p {
    color: var(--e-global-color-text);
    font-size: 16px;
}

.ghn-thump-popup {
    padding: 15px;
    font-size: 16px!important;
    font-family: "PT Sans", Sans-serif;
    background: #e6aa00;
    color: #fff;
    max-width: 500px;
    position: fixed;
    z-index: 9;
    bottom: 15px;
    right: 15px;
    width: 100%;
    max-height: 85vh;
    overflow: auto;
}
.ghn-popup-no-close {
    z-index: 8;
}

.ghn-thump-popup  .popup-head {
    text-align: right!important;
    position: relative;
}
.ghn-thump-popup .popup-head i{
    cursor: pointer;
    font-size: 16px;
    color: var(--e-global-color-15247c5);
    margin-bottom: 10px;
    position: absolute;
    top: -8px;
    right: -10px;
}
.ghn-thump-inner {
    max-width: 95%;
}
.ghn-thump-inner-no-close {
    max-width: 100%;
}
pre {
  white-space: pre-wrap;
  font-family: "PT Sans", Sans-serif!important;
}

/* media queries */
@media only screen and (max-width: 1351px) {}

@media only screen and (max-width: 700px) {
    .half-width {
        width: 100%;
    }

    .form-group-button {
        margin-top: 30px;
        text-align: center;
        width: 100%;
    }
}
